kubernetesAffinity:
  # -- Whether to enable Kubernetes affinity rules.
  enabled: false

# -- Key name for system workload toleration.
systemTolerationKeyName: dedicated
# -- Value for system workload toleration.
systemTolerationValueName: "system-workload"

# -- Name of the image pull secret for accessing container images.
imagePullSecret: "nvcrimagepullsecret"

dgxcController:
  # -- Container image for DGX Admission Controller.
  image: ""
  # -- Port number for the controller service.
  controllerPort: 8443
  # -- Number of controller replicas to deploy.
  replicas: 1

tolerations:
  customer:
    # -- Toleration key for customer workloads.
    key: "dedicated"
    # -- Toleration value for customer workloads.
    value: "user-workload"
  system:
    # -- Toleration key for system workloads.
    key: "dedicated"
    # -- Toleration value for system workloads.
    value: "system-workload"

cloudProviderSpec:
  # -- Cloud provider type.
  type: aws
  aws:
    # -- Whether to enable EFA.
    efa: true
    # -- AWS region.
    region: us-east-1
    # -- AWS account name or ID.
    accountName: 111122223333
    # -- Name of the cluster.
    clusterName: ""
    # -- Name of the stateful rule group.
    statefulRuleGroupName: ""
    gpuNode:
      # -- Specifies the number of GPUs allocatable.
      gpuAllocatable: 8
      # -- Specifies the number of EFA allocatable.
      efaAllocatable: 32
      # -- Specifies the amount of huge pages allocatable.
      hugePagesAllocatable: 42242Mi

envVars:
  # -- User-defined environment variables.
  user:
    # -- Environment variable for EFA.
    efa:
      - name: FI_EFA_USE_DEVICE_RDMA
        value: "1"
      - name: OPAL_PREFIX
        value: "/opt/amazon-efa-ofi/openmpi"
      - name: NVIDIA_GDRCOPY
        value: "enabled"

webhooks:
  # -- Registered webhooks. Do not modify.
  registeredWebhooks:
    - name: dgxc-create-pvc-vwh
      enabled: false
    - name: dgxc-create-pvc-mwh
      enabled: false
    - name: dgxc-create-pod-mwh
      enabled: true
      scratchEnabled: false
    - name: dgxc-create-nvsl-vwh
      enabled: false
    - name: dgxc-create-multi-namespace-pvc-mwh
      enabled: false

  # -- Pod mutating webhook configuration. Do not modify.
  podMutatingWebhook:
    customSettings:
      - name: modify-pod-rule
        scratchEnabled: false

# -- Whether to enable integrations support. Do not modify.
enableIntegrationsSupport: false
# -- Whether to enable labeler. Do not modify.
enableLabeler: false
# -- Whether to enable RunAI RBAC. Do not modify.
enableRunAIRbac: false
# -- Whether to enable network policies. Do not modify.
enableNetworkPolicies: false
# -- Whether to enable DGX CRBAC. Do not modify.
enableDGXCRbac: false
# -- Whether to enable DGX CA bootstrap. Do not modify.
enableDGXCAPIBootstrap: false
# -- Whether to enable service monitor. Do not modify.
enableServiceMonitor: false

enabledComponents:
  # -- Whether to enable the DGX Admission Controller.
  dgxcAdmissionController: true
  # -- Whether to enable the DGX RunAI Controller.
  dgxcRunaiController: false
  # -- Whether to enable the DGX Exporter.
  dgxcExporter: false